Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA.InterfaceDefPackage
Class FullInterfaceDescription

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDefPackage.FullInterfaceDescription

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class FullInterfaceDescription
extends java.lang.Object
implements IDLEntity

This structure provides a full description for an interface

See Also:
  Serialized Form

Field Summary
`AttributeDescription[]` | `attributes` Struct member attributes
`java.lang.String[]` | `base_interfaces` Struct member base_interfaces
`java.lang.String` | `defined_in` Struct member defined_in
`java.lang.String` | `id` Struct member id
`java.lang.String` | `name` Struct member name
`OperationDescription[]` | `operations` Struct member operations
`TypeCode` | `type` Struct member type
`java.lang.String` | `version` Struct member version

Constructor Summary
`FullInterfaceDescription()` Default constructor
`FullInterfaceDescription(java.lang.String name, java.lang.String id, java.lang.String defined_in, java.lang.String version, OperationDescription[] operations, AttributeDescription[] attributes, java.lang.String[] base_interfaces, TypeCode type)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Struct member name

### id

    public java.lang.String id

  Struct member id

### defined_in

    public java.lang.String defined_in

  Struct member defined_in

### version

    public java.lang.String version

  Struct member version

### operations

    public OperationDescription[] operations

  Struct member operations

### attributes

    public AttributeDescription[] attributes

  Struct member attributes

### base_interfaces

    public java.lang.String[] base_interfaces

  Struct member base_interfaces

### type

    public TypeCode type

  Struct member type

Constructor Detail

### FullInterfaceDescription

    public FullInterfaceDescription()

  Default constructor

### FullInterfaceDescription

    public FullInterfaceDescription(java.lang.String name,
                                    java.lang.String id,
                                    java.lang.String defined_in,
                                    java.lang.String version,
                                    OperationDescription[] operations,
                                    AttributeDescription[] attributes,
                                    java.lang.String[] base_interfaces,
                                    TypeCode type)

  Constructor with fields initialization
  Parameters:
    `name` - name struct member
    `id` - id struct member
    `defined_in` - defined_in struct member
    `version` - version struct member
    `operations` - operations struct member
    `attributes` - attributes struct member
    `base_interfaces` - base_interfaces struct member
    `type` - type struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD